| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTC_matrix_inverse
GTC Extensions (Stable)

Defines additional matrix inverting functions. More...

## Functions
template<typename genType >
GLM_FUNC_DECL genType | affineInverse (genType const &m)
| Fast matrix inverse for affine matrix. More...
template<typename genType >
GLM_FUNC_DECL genType | inverseTranspose (genType const &m)
| Compute the inverse transpose of a matrix. More...

## Detailed Description

Defines additional matrix inverting functions.

<glm/gtc/matrix_inverse.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL genType glm::affineInverse | ( | genType const & | m | ) |

Fast matrix inverse for affine matrix.

Parameters

  m | Input matrix to invert.

Template Parameters

  genType | Squared floating-point matrix: half, float or double. Inverse of matrix based of half-precision floating point value is highly innacurate.

See also
  GLM_GTC_matrix_inverse

GLM_FUNC_DECL genType glm::inverseTranspose | ( | genType const & | m | ) |

Compute the inverse transpose of a matrix.

Parameters

  m | Input matrix to invert transpose.

Template Parameters

  genType | Squared floating-point matrix: half, float or double. Inverse of matrix based of half-precision floating point value is highly innacurate.

See also
  GLM_GTC_matrix_inverse